QGIS Application - Feature request #9890
Show "Nearest neighbor analysis" in results viewer when running from modeller
2014-03-26 06:38 AM - Anita Graser

Status: Open

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 18409
Description

When used directly, the result is a a dialog with the analysis results text. When used in a model, the dialog does not appear.

History

#1 - 2014-09-15 05:58 AM - Alexander Bruy
- Status changed from Open to Feedback

In modeler this algorithm produces several numeric outputs, you can use this values as inputs in another algs. Of course, output file will be created too and
it can be viewed outside QGIS.

#2 - 2014-09-15 10:22 AM - Anita Graser

Thanks! It would be nice if the results would be visible in the results viewer as well, in case no dialog is displayed.

#3 - 2014-10-04 12:16 PM - Giovanni Manghi
- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.4.0

- Category deleted (64)

- Project changed from 78 to QGIS Application

#4 - 2014-10-04 12:17 PM - Giovanni Manghi
- Category set to Processing/Modeller

#5 - 2015-05-22 06:37 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Subject changed from "Nearest neighbor analysis" can be added to a model but no output is displayed to Show "Nearest neighbor analysis" in results
viewer when running from modeller

- Tracker changed from Bug report to Feature request

#6 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No
